#pragma once

#include <dune/common/reservedvector.hh>
#include <dune/functions/functionspacebases/flatmultiindex.hh>

namespace AMDiS
{
  inline std::size_t flatMultiIndex(std::size_t idx)
  {
    return idx;
  }

  inline std::size_t flatMultiIndex(Dune::Functions::FlatMultiIndex<std::size_t> const& idx)
  {
    return idx[0];
  }

  inline std::size_t flatMultiIndex(Dune::ReservedVector<std::size_t,1> const& idx)
  {
    return idx[0];
  }

} // end namespace AMDiS
